import type { KnowledgeItemCreateInput, KnowledgeItemDeleteInput, KnowledgeItemDeleteResponse, KnowledgeItemWithSubitems, KnowledgeSubitemCreateInput, KnowledgeItemUpdateInput } from "../../model/context/SDKKnowledgeItem";
import { KnowledgeItem } from "../../model/context/SDKKnowledgeItem";
import { DataCore } from "../data/SDKDataCore";
export declare class AreaContext {
    /** Internal: Engine */
    private dataCore;
    constructor(dataCore: DataCore);
    listKnowledgeItems(workspaceId: string): Promise<KnowledgeItem[]>;
    createKnowledgeItem(workspaceId: string, input: KnowledgeItemCreateInput): Promise<KnowledgeItem>;
    createKnowledgeItemWithSubitems(workspaceId: string, input: KnowledgeItemCreateInput, subitems: KnowledgeSubitemCreateInput[]): Promise<KnowledgeItemWithSubitems>;
    updateKnowledgeItem(workspaceId: string, itemId: string, input: KnowledgeItemUpdateInput): Promise<KnowledgeItem>;
    deleteKnowledgeItem(workspaceId: string, input: KnowledgeItemDeleteInput): Promise<KnowledgeItemDeleteResponse>;
}
